org.hibernate.search.elasticsearch.settings.impl.model

## Class IndexSettings.Analysis

- java.lang.Object
- - org.hibernate.search.elasticsearch.settings.impl.model.IndexSettings.Analysis

- Enclosing class:
    IndexSettings

      public static class IndexSettings.Analysis
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Analysis()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,AnalyzerDefinition>` | `getAnalyzers()`
    `Map<String,CharFilterDefinition>` | `getCharFilters()`
    `Map<String,NormalizerDefinition>` | `getNormalizers()`
    `Map<String,TokenFilterDefinition>` | `getTokenFilters()`
    `Map<String,TokenizerDefinition>` | `getTokenizers()`
    `boolean` | `isEmpty()`
    `void` | `setAnalyzers(Map<String,AnalyzerDefinition> analyzers)`
    `void` | `setCharFilters(Map<String,CharFilterDefinition> charFilters)`
    `void` | `setNormalizers(Map<String,NormalizerDefinition> normalizers)`
    `void` | `setTokenFilters(Map<String,TokenFilterDefinition> tokenFilters)`
    `void` | `setTokenizers(Map<String,TokenizerDefinition> tokenizers)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Analysis

          public Analysis()

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

    - #### getAnalyzers

          public Map<String,AnalyzerDefinition> getAnalyzers()

    - #### setAnalyzers

          public void setAnalyzers(Map<String,AnalyzerDefinition> analyzers)

    - #### getNormalizers

          public Map<String,NormalizerDefinition> getNormalizers()

    - #### setNormalizers

          public void setNormalizers(Map<String,NormalizerDefinition> normalizers)

    - #### getTokenizers

          public Map<String,TokenizerDefinition> getTokenizers()

    - #### setTokenizers

          public void setTokenizers(Map<String,TokenizerDefinition> tokenizers)

    - #### getTokenFilters

          public Map<String,TokenFilterDefinition> getTokenFilters()

    - #### setTokenFilters

          public void setTokenFilters(Map<String,TokenFilterDefinition> tokenFilters)

    - #### getCharFilters

          public Map<String,CharFilterDefinition> getCharFilters()

    - #### setCharFilters

          public void setCharFilters(Map<String,CharFilterDefinition> charFilters)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved